Bug 4170 - floppy drive and esd don't play nice together on laptops
floppy drive and esd don't play nice together on laptops
Product: Red Hat Linux
Classification: Retired
Component: esound (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 1999-07-22 16:50 EDT by cleith
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-16 14:02:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cleith 1999-07-22 16:50:50 EDT
I have noticed that the floppy drives of at least 2
different laptops of mine will not function (can't mount
/dev/fd*, even as root) so long as esd (the enlightenment
sound deamon) is running.  Esd doesn't need to be serving
any sound apps at the time, the drive will fail as long as
it has served some app before you try to access the floppy
drive.  (That is, I believe everything is fine until the
first sound sample is played, but there after the drive will
not function properly.)

Of course the work around is to temporarily kill esd, but
that is not all that desireable.  (Sometimes it is
sufficient to issue: esdctl off and then esdctl on.)

It has been suggested that this is really a problem of the
underlying hardware in some laptops, in that there may be
only 1 controller for both the sound card and the floppy
drive.  I just thought that I would make a note of it on
bugzilla so that at least others would not spend too much
time puzzling over the fact that their floppy drive does not

This bug was spotted on both a Toshiba Satallite 4010CDT
laptop and a Dell Latitude XPi CD.  Both machines were
running newly installed RedHat 6.0 (CDROM from CheapBytes).
Comment 1 Preston Brown 2000-02-16 10:32:59 EST
Seems weird, but if you have time to look into it, would be great.
Comment 2 Elliot Lee 2000-02-16 14:02:59 EST
Can you send us the contents of /proc/interrupts on these laptops, before
starting esd, after starting esd, and after reproducing the bug?

Please also run 'strace -e open,ioctl,close -o esd.trace esd' and send the
resulting esd.trace file.
Comment 3 Elliot Lee 2000-07-17 15:48:56 EDT
No reply.

Note You need to log in before you can comment on or make changes to this bug.